### Class

# Pos CompleterBase

#### Description [src]

    class Pos.CompleterBase : GObject.Object
    {
      /* No available fields */
    }

Class to ease implementing completers. Completers aren’t required to use this class.

#### Ancestors

- GObject

#### Descendants

- PosCompleterHunspell
- PosCompleterPresage

#### Constructors

###### pos_completer_base_new

No description available.

#### Instance methods

###### pos_completer_base_get_additional_results

No description available.

###### pos_completer_base_get_after_text

No description available.

###### pos_completer_base_get_auto_space

No description available.

###### pos_completer_base_get_before_text

No description available.

###### pos_completer_base_set_surrounding_text

No description available.

###### pos_completer_base_wants_punctuation_swap

Checks if the passed in symbol is a punctuation and `before_text` ends in a space. Completers can invoke this to figure out if they want to drop that trailing space.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.CompleterBase:auto-space

Automatically handle inserting space around punctuation.

###### Pos.CompleterBase:sources

Additional completion sources the completer should consult.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosCompleterBaseClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.